/* --back - to - top-- */
.rtl #back-to-top {
    left: 20px;
    right: auto;
}

body.rtl{
    --wdt-customGradient: linear-gradient(-252deg, rgba(var(--wdtCustomColor1Rgb),0.6) 20.03%, rgba(var(--wdtCustomColor2Rgb),0.6) 58.07%, rgba(var(--wdtCustomColor2Rgb),0.6) 58.08%, rgba(var(--wdtCustomColor3Rgb),0.6) 95.81%);
    --wdt-customGradient-2: linear-gradient(-252deg, rgba(var(--wdtCustomColor1Rgb),1) 20.03%, rgba(var(--wdtCustomColor2Rgb),1) 58.07%, rgba(var(--wdtCustomColor2Rgb),1) 58.08%, rgba(var(--wdtCustomColor3Rgb),1) 95.81%);
}

/* ----------------------------------------------------------------------Mobile Menu--------------------------------------------------------- */
.rtl .mobile-menu.nav-is-visible {
    animation-name: rtl-anime-slidein-right;
}

.rtl .mobile-menu ul li.go-back a:before {
    right: 15px;
    left: auto;
}

.rtl .mobile-menu,
.rtl .mobile-menu>ul,
.rtl .mobile-menu>ul ul.children,
.rtl .mobile-menu>ul ul.sub-menu,
.rtl .mobile-menu>ul ul.children>li>ul,
.rtl .mobile-menu>ul ul.sub-menu>li>ul {
    right: auto !important;
    left: 0 !important;
}

.rtl .mobile-menu.is-hidden,
.rtl .mobile-menu>ul.is-hidden,
.rtl .mobile-menu>ul li ul.is-hidden,
.rtl .mobile-menu ul.sub-menu.is-hidden,
.rtl .mobile-menu ul.sub-menu li ul.is-hidden {
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%);
}

@keyframes rtl-anime-slidein-right {
    0% {
        -webkit-transform: translateX(-1000px);
        transform: translateX(-1000px);
        opacity: 0;
    }

    100% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
        opacity: 1;
    }
}

.rtl .mobile-menu ul li.close-nav a {
    float: left;
}

.rtl .mobile-menu,
.rtl .mobile-menu ul,
.rtl .mobile-menu ul li {
    text-align: right;
}

.rtl .mobile-menu li[class*="has-children"]>a:before,
.rtl .mobile-menu li[class*="has_children"]>a:before {
    left: 12px;
    right: auto;
}

.rtl .mobile-menu li[class*="has-children"]>a:hover:before,
.rtl .mobile-menu li[class*="has_children"]>a:hover:before {
    left: 8px;
    right: auto;
}

.rtl .mobile-menu ul li.go-back a:before,
.rtl .mobile-menu ul li.go-back a:after,
.rtl .mobile-menu li[class*="has-children"]>a:before,
.rtl .mobile-menu li[class*="has-children"]>a:after,
.rtl .mobile-menu li[class*="has_children"]>a:before,
.rtl .mobile-menu li[class*="has_children"]>a:after {
    -webkit-transform: translateY(-50%) scaleX(-1);
    transform: translateY(-50%) scaleX(-1);
}

.rtl .mobile-menu li[class*="has-children"]>a:after,
.rtl .mobile-menu li[class*="has_children"]>a:after {
    left: 18px;
    right: auto;
}

.rtl .mobile-menu li[class*="has-children"]>a:hover:after,
.rtl .mobile-menu li[class*="has_children"]>a:hover:after {
    left: 12px;
    right: auto;
}

.rtl .mobile-menu ul li.close-nav {
    float: left;
    left: 0;
    right: auto;
}

.rtl .mobile-menu ul li.go-back a:after {
    right: 25px;
    left: auto;
}

.rtl .mobile-menu ul li.go-back a:hover:before {
    right: 10px;
    left: auto;
}

.rtl .mobile-menu ul li.go-back a:hover:after {
    right: 15px;
    left: auto;
}

/* -----------------popup-box---------- */

.rtl .wdt-popup-box-window.mfp-wrap .mfp-container.mfp-inline-holder .mfp-content .wdt-popup-box-content-holder .wdt-popup-box-content-inner ~ .mfp-close {
    left: -20px;
    right: auto;
}
@media only screen and (min-width: 480px) {
    .wdt-custom-popup-box-mail .wdt-mailchimp-holder.wdt-template-type5 .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form.with-btn-text input {
      padding-left: 10em;
      padding-right: 34px;
    }
}
.rtl .wdt-mailchimp-holder.wdt-template-type5 .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form .wdt-mailchimp-subscription-button-holder {
    left: 0;
    right: auto;
}

/* -----------------------Home-1--------------- */

.swiper-slide .wdt-content-item > .elementor { width: 100%; }

/* ------home-1 header---- */
.rtl .wdt-header-link-list .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item::after {
    right: calc(40px/2);
    left: auto;
}
.rtl .wdt-header-link-list .elementor-icon-list-icon svg {
    
    transform: scalex(-1);
}
.rtl .wdt-header-play-video.elementor-widget .elementor-icon-list-icon + .elementor-icon-list-text {
    padding-left: 5px;
    padding-right: 0;
}
.rtl .wdt-header-play-video li .elementor-icon-list-icon svg{
    transform: scale(-1);
}
.rtl .wdt-header-play-video li .elementor-icon-list-icon {
    animation: wdt-header-play-rtl 2s linear infinite;
    -webkit-animation: wdt-header-play-rtl 2s linear infinite;
}
.rtl .wdt-header-play-video li a:hover .elementor-icon-list-icon, .wdt-header-play-video li a:hover .elementor-icon-list-text {
    animation-play-state: paused;
    -webkit-animation-play-state: paused;
}
.wdt-header-play-video li .elementor-icon-list-text {
    animation: wdt-header-play-text-rtl 2s linear infinite;
    -webkit-animation: wdt-header-play-text-rtl 2s linear infinite;
}

@keyframes wdt-header-play-rtl {
    0% {
        transform: translateX(-50px);
        -webkit-transform: translateX(50px);
    }

    30% {
        transform: translateX(0px) scale(1);
        -webkit-transform: translateX(0px) scale(1);
    }

    80% {
        transform: translateX(0px) scale(1);
        -webkit-transform: translateX(0px) scale(1);
    }

    100% {
        transform: translateX(-50px);
        -webkit-transform: translateX(50px);
    }
}
@keyframes wdt-header-play-text-rtl {
    0% {
        clip-path: polygon(100% 0, 100% 0, 100% 100%, 100% 100%);
        -webkit-clip-path: polygon(100% 0, 100% 0, 100% 100%, 100% 100%);
    }

    30% {
         clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
        -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
    }

    80% {
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
        -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
    }

    100% {
        clip-path: polygon(100% 0, 100% 0, 100% 100%, 100% 100%);
        -webkit-clip-path: polygon(100% 0, 100% 0, 100% 100%, 100% 100%);
    }
}
.rtl .gt_float_switcher img {
    margin: 0 0px 0 5px;
}
.rtl div.gtranslate_wrapper #gt_float_wrapper .gt_float_switcher .gt-selected .gt-current-lang .gt_float_switcher-arrow {
    left: 12px;
    right: auto;
}
.rtl .wdt-header-menu .menu-container .wdt-primary-nav li[class*="has-children"] > a > span::after {
    left: -3px;
    right: auto;
    margin-right: 8px;
    margin-left: 0;
}
.rtl .wdt-header-menu ul li ul.children,.rtl .wdt-header-menu ul li ul.sub-menu,.rtl .wdt-header-menu ul li.has-mega-menu > ul {
    right: auto;
    left: auto;
    text-align: right;
}
.rtl .wdt-header-menu .menu-container .wdt-primary-nav li[class*="has-children"] ul > li.menu-item > a > span::after {
    -webkit-transform: rotate(-45deg) scale(-1);
    transform: rotate(-45deg) scale(-1);
}
.rtl .wdt-header-menu ul li ul.children li ul:not(.menu-item-object-wdt_mega_menus ul),.rtl .wdt-header-menu ul li ul.sub-menu li ul:not(.menu-item-object-wdt_mega_menus ul) {
    right: 100%;
    left: auto;
}
body.rtl > .wdt-search-form-container .wdt-search-form-close {
    right: auto;
    left: 35px;
}
.rtl #searchform input[type="text"] {
    padding: var(--wdtInputPadding);
    padding-left: 60px;
}
.rtl #searchform::before,.rtl #searchform input[type="submit"],.rtl #searchform .wdt-search-icon {
    left: 16px;
    right: auto;
}
.rtl #searchform ul.quick_search_results.active::before {
    right: 20px;
    left: auto;
}
/* -------------------------------- */
.rtl .wdt-button-holder.wdt-template-textual .wdt-button .wdt-button-text::before {
    transform: translateY(-50%) translateX(35px);
    -webkit-transform: translateY(-50%) translateX(35px);
}
.rtl .wdt-button-holder.wdt-button-icon-after .wdt-button .wdt-button-icon {
    margin-right: 8px;
}
.rtl .wdt-button .wdt-button-icon span {
    transform: scale(-1);
}
.rtl .wdt-button-holder.wdt-template-textual:has(.wdt-button-icon) .wdt-button:hover .wdt-button-icon,
.rtl .wdt-button-holder.wdt-template-textual:has(.wdt-button-icon) .wdt-button:focus .wdt-button-icon {
    transform: translateX(-8px);
    -webkit-transform: translateX(-8px);
}
.rtl .wdt-custom-link-btn .elementor-widget-container:has(a:hover) {
    padding-left: 40px !important;
    padding-right: 0 !important;
}

/* ------heading------ */
.rtl .wdt-heading-holder > .wdt-heading-deco-wrapper > span {
    white-space: unset;
}
.rtl .wdt-inview-section .wdt-heading-holder > .wdt-heading-title-wrapper > span {
    background-position: center right;
}

/* -------video-popup----- */
.rtl .mfp-close {
    left: 0;
    right: auto;
}

/* ====== Animation Widgets======*/
.rtl .wdt-animation-wrapper div[class*="-marqee"].left-to-right {
    -webkit-animation: rtl-MarqueeRight 24s linear infinite 0ms;
    animation: rtl-MarqueeRight 24s linear infinite 0ms;

}
.rtl .wdt-animation-wrapper div[class*="-marqee"].right-to-left {
    -webkit-animation: rtl-MarqueeLeft 24s linear infinite 0ms;
    animation: rtl-MarqueeLeft 24s linear infinite 0ms;
   
}
.rtl .wdt-animation-holder:not(.vertical) .wdt-animation-wrapper div[class*="-marqee"].right-to-left ~ div.wdt-animation-cloned-marqee,
.rtl .wdt-animation-holder:not(.vertical) .wdt-animation-wrapper div[class*="-marqee"].left-to-right ~ div.wdt-animation-cloned-marqee {
    -webkit-animation: auto;
    animation: auto;
}
.rtl .wdt-animation-holder:not(.vertical) .wdt-animation-wrapper:hover  div[class*="-marqee"].right-to-left,
.rtl .wdt-animation-holder:not(.vertical) .wdt-animation-wrapper:hover div[class*="-marqee"].left-to-right {
    -webkit-animation-play-state: paused;
     animation-play-state: paused;
}

@keyframes rtl-MarqueeLeft {
    from {
        margin-right: 0;
    }

    to {
        margin-right: var(--wdt-marque-Margin-Width);
    }
}
@keyframes rtl-MarqueeRight {
    from {
     margin-right: var(--wdt-marque-Margin-Width);
    }

    to {

        margin-right: 0;
    }
}

.rtl .wdt-content-item .wdt-content-counter > :not(:last-child) {
    margin-left: 2px;
    margin-right: 0;
}
.rtl .wdt-cust-tabs-s .wdt-tabs-container[class*="-template-hunch-back-icon"] .wdt-tabs-list li {
    margin-left: 40px;
    margin-right: 0;
}
.rtl .wdt-custom-list-icon.elementor-widget .elementor-icon-list-icon {
    margin-left: 15px;
    margin-right: 0;
}
.rtl .wdt-mailchimp-holder.wdt-template-type5 .wdt-mailchimp-wrapper .wdt-mailchimp-subscribe-form.with-btn-text input {
    padding-left: 8em;
    padding-right: 34px;
}
.rtl .wdt-cust-phone-icon-s.elementor-widget.elementor-widget-icon-list .elementor-icon-list-icon {
    margin-left: 10px;
    margin-right: 0;
}

/* --------form------ */
.rtl .wdt-contact-form p input:not([type="submit"]),.rtl .wdt-contact-form p textarea{
    direction: rtl;
}
.rtl .wdt-contact-form .wpcf7-not-valid-tip {
    left: 10px;
    right: auto;
}
.rtl .wdt-contact-form .wdt-selector .select2-container.select2-container--default .select2-selection--single {
  padding: var(--wdtInputPadding);
  padding-right: 5px;
}
.rtl .select2-container.select2-container--default .select2-selection--single .select2-selection__rendered {
    padding-right: 15px;
    padding-left: 50px;
    text-align: right;
}
.rtl .wdt-contact-form .wdt-selector .select2-container.select2-container--default .select2-selection--single .select2-selection__rendered {
    padding-right: 0px;
}
.rtl .select2-container--default .select2-selection--single .select2-selection__arrow,.rtl .select2-container--default .select2-selection--multiple .select2-selection__arrow {
    left: 15px !important;
    right: auto !important;
}
.rtl .select2-container--open .select2-dropdown.select2-dropdown--below {
    direction: rtl;
}
.rtl .wdt-contact-form .wdt-col-4 {
    direction: rtl;
}
.rtl .wdt-contact-form .wdt-col-4 .wdt-checkbox .wpcf7-form-control-wrap [type="checkbox"] {
    margin-left: 10px;
}
.rtl .wdt-fadeinright-hover .blog-entry .entry-thumb > a img,.rtl .wdt-fadeinright-hover.wdt-post-entry.entry-list-layout .blog-entry .entry-thumb .blog-image > a {
    transform: translate3d(0, 0, 0);
    -webkit-transform: translate3d(0, 0, 0);
}
.rtl .wdt-fadeinright-hover .blog-entry:hover .entry-thumb > a img,.rtl .wdt-fadeinright-hover.wdt-post-entry.entry-list-layout .blog-entry:hover .entry-thumb .blog-image > a {
    transform: translate3d(6.66%, 0, 0);
    -webkit-transform: translate3d(6.66%, 0, 0);
}
.rtl .wdt-simple-style.wdt-post-entry .blog-entry > div.entry-meta-group > div,.rtl .wdt-simple-style.wdt-post-entry .blog-entry > div.entry-meta-group > div:nth-child(2n+1),
.rtl .wdt-simple-style.wdt-post-entry .blog-entry > div.entry-meta-group > div:nth-child(2n) {
    margin: 5px 0px 5px 25px;
}
.rtl .wdt-simple-style.wdt-post-entry .blog-entry > div.entry-meta-group > div:not(:last-child)::after {
    left: -18px;
    right: auto;
}
@media only screen and (min-width: 1281px) {
    .rtl .wdt-simple-style.wdt-post-entry.entry-grid-layout .blog-entry.has-post-thumbnail .entry-title,
    .rtl .wdt-simple-style.wdt-post-entry.entry-grid-layout .blog-entry.has-post-thumbnail .entry-body {
      padding-left: 40px;
      padding-right: 0;
   }
}
.rtl .wdt-simple-style.wdt-post-entry .blog-entry .entry-button a.wdt-button::before {
    right: 0;
    left: auto;
}
.rtl .wdt-simple-style.wdt-post-entry .blog-entry .entry-button a.wdt-button::after {
    margin-right: 8px;
    margin-left: 0;
    transform: scalex(-1); 
}
.rtl .wdt-simple-style.wdt-post-entry .blog-entry .entry-button a.wdt-button:hover::after {
    transform: translateX(-8px) scaleX(-1);
    -webkit-transform: translateX(-8px) scalex(-1);
  
}
.rtl .wdt-post-entry.entry-list-layout .blog-entry .entry-thumb .blog-image > a,
.rtl .wdt-post-entry.entry-list-layout .blog-entry .entry-thumb .blog-image .bx-wrapper .entry-gallery-post-slider li {
    right: 0;
    left: auto;
}
.rtl .wdt-post-entry .blog-entry div.entry-categories a, .wdt-post-entry .blog-entry div.entry-tags a {
    margin-left: 6px;
    margin-right: 0;
}
.rtl .wdt-simple-style.wdt-post-entry.entry-list-layout .blog-entry > div:not(.entry-thumb) {
    padding: 0 35px 0 0px;
}  
.rtl .wdt-flash-overlay .blog-entry .entry-thumb:after {
    background: -webkit-linear-gradient(right, rgba(255,255,255,0) 0%, rgba(255,255,255,.3) 100%);
    background: -moz-linear-gradient(to left, rgba(255,255,255,0) 0%, rgba(255,255,255,.3) 100%);
    background: -webkit-linear-gradient(to left, rgba(255,255,255,0) 0%, rgba(255,255,255,.3) 100%);
    background: -ms-linear-gradient(to left, rgba(255,255,255,0) 0%, rgba(255,255,255,.3) 100%); 
    right: -100%;
    left: auto; 
    transform: skewX(25deg); 
    -webkit-transform: skewX(25deg); 
}
.rtl .wdt-flash-overlay:hover .blog-entry .entry-thumb:after {
     animation: shine-rtl 1s; 
     -webkit-animation: shine-rtl 1s; }

@-webkit-keyframes shine-rtl {
     100% {
         right: 125%; 
        }
     }
@keyframes shine {
     100%
      { 
        right: 125%; 
    }
 }

 @media only screen and (max-width: 1280px) and (min-width: 768px) {
    .rtl .wdt-cust-tabs-s .wdt-tabs-container[class*='-template-hunch-back-icon'] .wdt-tabs-list li {
        margin-left: 0px;
        margin-right: 0;
    }
}
@media only screen and (max-width: 767px) {
    .rtl .wdt-tabs-container[class*='-tabs-toggle-mode'] .wdt-tabs-list-wrapper .wdt-tabs-list:before {
        left: 27px;
        right: auto;
        -webkit-transform: rotate(-45deg) translateY(-50%);
        transform: rotate(-45deg) translateY(-50%);
    }
    .rtl .wdt-tabs-container[class*='-tabs-toggle-mode'] .wdt-tabs-list-wrapper .wdt-tabs-list:after {
        left: 18px;
        right: auto;
        -webkit-transform: rotate(45deg) translateY(-50%);
        transform: rotate(45deg) translateY(-50%);
    }
    .rtl .wdt-tabs-container[class*='-tabs-toggle-mode'] .wdt-tabs-list-wrapper .wdt-tabs-list.wdt-expanded:before {
        left: 18px;
        right: auto;
    }
    .rtl .wdt-tabs-container[class*='-tabs-toggle-mode'] .wdt-tabs-list-wrapper .wdt-tabs-list.wdt-expanded:after {
        left: 26px;
        right: auto;
    }
}

 /* ---------home-2---------- */

.rtl .wdt-home2-slider-carousal .wdt-carousel-holder .wdt-carousel-pagination-wrapper {
    right: 10px;
    left: auto;
}
.rtl .wdt-cust-imagebox-s .wdt-content-item .wdt-content-description {
    padding-left: clamp(0rem, -0.375rem + 1.875vw, 1.875rem);
    padding-right: 0;
}
.rtl .wdt-cust-imagebox-s .wdt-content-item .wdt-content-title h5 a::before {
    margin-left: 0.2em;
    margin-right: 0;
}
.rtl .wdt-cust-imagebox-s .wdt-content-item .wdt-content-button > a::before {
    right: 0;
    left: auto;
}
.rtl .wdt-cust-imagebox-s .wdt-content-item .wdt-content-button > a > div > span {
    padding-left: 25px;
    padding-right: 0;
}
.rtl .wdt-cust-imagebox-s .wdt-content-item .wdt-content-icon-wrapper {
    left: 35px;
    right: auto;
}
.rtl .wdt-cust-imagebox-s .wdt-content-item .wdt-content-icon-wrapper {
    transform: translateX(0px) scalex(-1);
    -webkit-transform: translateX(0px) scalex(-1);
}
.rtl .wdt-cust-imagebox-s .wdt-content-item .wdt-content-elements-group:has(.wdt-content-button a:hover) .wdt-content-icon-wrapper {
  transform: translateX(-8px)scaleX(-1);
  -webkit-transform: translateX(-8px)scalex(-1);

}
.rtl .wdt-cust-service-tabs-s .wdt-tabs-container[class*="-layout-vertical"] .wdt-tabs-list li .ui-tabs-anchor .wdt-content-title {
    margin-left: 50px;
    margin-right: 0;
}
.rtl .wdt-tabs-container[class*='-layout-vertical'] .wdt-tabs-list li .ui-tabs-anchor {
    text-align: right;
}
.rtl .wdt-cust-service-tabs-s .wdt-tabs-container .wdt-tabs-list li .ui-tabs-anchor::after {
    left: 0;
    right: auto;
}
.rtl .wdt-cust-service-tabs-s .wdt-tabs-container .wdt-tabs-list li .ui-tabs-anchor::after {
    transform: translateX(20px) scaleX(-1);
    -webkit-transform: translateX(20px) scaleX(-1);
}
.rtl .wdt-cust-service-tabs-s .wdt-tabs-container .wdt-tabs-list li .ui-tabs-anchor:hover::after,
.rtl .wdt-cust-service-tabs-s .wdt-tabs-container .wdt-tabs-list li.ui-tabs-active.ui-state-active .ui-tabs-anchor::after {
    transform: translateX(0px) scaleX(-1);
    -webkit-transform: translateX(0px) scaleX(-1);
}
.rtl input.wdt-advanced-checkbox-toggle:checked {
    padding-right: 15px;
    padding-left: 0;
}
.rtl .pricingplan-2 .wdt-advanced-toggle-right-section-title span:last-child {
    margin-right: 1em;
    margin-left: 0;
}
.rtl .pricingplan-2 .wdt-advanced-toggle-right-section-title span:last-child::before {
    border-left: solid 8px var(--wdtTertiaryColor);
    border-right: 0;
    right: -8px;
    left: auto;
}
.rtl .pricingplan-2 input.wdt-advanced-checkbox-toggle {
    left: 0;
    right: auto;
}
.rtl .pricingplan-2 .wdt-advanced-toggle-left-section-title:before,.rtl  .pricingplan-2 .wdt-advanced-toggle-right-section-title:before {
    right: 0;
    left: auto;

}
.rtl .pricingplan-2 .wdt-advanced-toggle-left-section-title:before {
    transform-origin: left center;
    -webkit-transform-origin: left center;
}
.rtl .pricingplan-2 .wdt-advanced-toggle-right-section-title:before {
    transform-origin: right center;
    -webkit-transform-origin: right center;
}
.rtl .pricingplan-2 .wdt-advanced-toggle-switcher-container:has(input:checked) .wdt-advanced-toggle-left-section-title:before {
    transform-origin: left center;
    -webkit-transform-origin: left center;
}
.rtl .pricingplan-2 .wdt-advanced-toggle-switcher-container:has(input:not(:checked)) .wdt-advanced-toggle-right-section-title:before {
    transform-origin: right center;
    -webkit-transform-origin: right center;
}
.rtl .wdt-pricing-table-holder .wdt-pricing-table-pricing div[class*="-table-pricing-sale"] .wdt-pricing-table-pricing-prefix {
    padding-left: 5px;
    padding-right: 0;
}
.rtl .wdt-pricing-table-holder .wdt-pricing-table-pricing div[class*="-table-pricing-sale"] .wdt-pricing-table-pricing-suffix {
    padding-right: 5px;
    padding-left: 0;
}
.rtl .wdt-pricing-table-holder div[class*="-table-features"] .wdt-pricing-table-features-list li .wdt-pricing-table-features-list-text:not(:only-child) {
    padding-right: 10px;
    padding-left: 0;
}
.rtl .wdt-pricing-table-holder div[class*="-table-features"] .wdt-pricing-table-features-list .wdt-pricing-table-feature-excluded .wdt-pricing-table-features-list-text:not(:only-child) {
    padding-right: 17px;
}

.rtl .wdt-cust-team-s .wdt-content-item:hover .wdt-media-image-cover .wdt-content-image-wrapper::before {
    transform-origin: left center;
    -webkit-transform-origin: left center;
  
}
.rtl .wdt-cust-team-s .wdt-content-item .wdt-media-image-cover .wdt-content-image-wrapper::before {  
    transform-origin: left center;  
    -webkit-transform-origin: left center;  
    background: linear-gradient(-270deg, rgba(var(--wdtPrimaryColorRgb),.8) 0%, rgba(var(--wdtQuaternaryColorRgb),0) 100%);
}
.rtl .wdt-cust-team-s .wdt-content-item .wdt-social-icons-list li a {
    transform: translate(-250%);
    -webkit-transform: translate(-250%);
    transform-origin: left center;
    -webkit-transform-origin: left center;
}
.rtl .wdt-cust-team-s .wdt-content-item:hover .wdt-social-icons-list li a {
    transform: translate(0%);
    -webkit-transform: translate(0%);
    transform-origin: left center;
    -webkit-transform-origin: left center;
}

.rtl .wdt-flex-banner-options .wdt-flex-banner-option:not(:last-child) {
    margin-left: 20px;
    margin-right: 0;
}
.rtl .wdt-flex-banner-options.vertical-slider .wdt-flex-banner-option .wdt-flex-banner-title-group::before { 
    -webkit-transform: rotate(0deg) scaleX(-1);  
    transform: rotate(0deg) scaleX(-1);
}
.rtl .wdt-flex-banner-options.vertical-slider .wdt-flex-banner-option.active .wdt-flex-banner-title-group::before {
    -webkit-transform: rotate(-90deg) scaleX(-1);  
    transform: rotate(-90deg) scalex(-1); 
}
.rtl .wdt-flex-banner-options.vertical-slider .wdt-flex-banner-option .wdt-flex-banner-title-group .wdt-flex-banner-title {
    margin-left: 1rem;
    margin-right: 0;
}
.rtl .wdt-flex-banner-options.vertical-slider .wdt-flex-banner-option .wdt-flex-banner-title-group > .wdt-flex-banner-icon {
    margin-left: clamp(0.625rem, 0.4808rem + 0.641vw, 1.25rem);
    margin-right: 0;
    
}
.rtl .wdt-flex-banner-options.vertical-slider .wdt-flex-banner-option .wdt-flex-banner-title-group > .wdt-flex-banner-icon::after {
    margin-right: 40px;
    margin-left: 0;
}
.rtl .wdt-flex-banner-options.vertical-slider .wdt-flex-banner-option .wdt-flex-banner-title-group > .wdt-flex-banner-sub-title {
    text-align: left;
}
.rtl .wdt-flex-banner-options.vertical-slider .wdt-flex-banner-option > .wdt-flex-banner-detail-group > .wdt-flex-banner-content {
    padding-right: calc(clamp(1.25rem, 1.1058rem + 0.641vw, 1.875rem) + 20px);
    padding-left: 0;
}
.rtl .wdt-flex-banner-options.vertical-slider .wdt-flex-banner-option > .wdt-flex-banner-detail-group > .wdt-flex-banner-button {
    margin-right: auto;
    margin-left: 0;
}
.rtl .wdt-flex-banner-options.vertical-slider .wdt-flex-banner-option > .wdt-flex-banner-detail-group > .wdt-flex-banner-button a::before {  
    transform: scalex(-1);
}
.rtl .wdt-flex-banner-options.vertical-slider .wdt-flex-banner-option > .wdt-flex-banner-detail-group > .wdt-flex-banner-button a::after {
    right: 0;
    left: auto;
}
.rtl .wdt-cust-testimonial-s .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon {
    left: 30px;
    right: auto;
}
.rtl .wdt-cust-testimonial-s .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon span svg{
    transform: scaleX(-1);
}
.rtl .wdt-accordion-toggle-holder .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-icon {
    margin-right: 10px;
    margin-left: 0;
}
.rtl .wdt-cus-faq-s .wdt-accordion-toggle-holder .wdt-accordion-toggle-description {
    padding: 0px 30px 30px 10%;
}
.rtl .wdt-column-wrapper.wdt-snap-scroll-enabled ~ .wdt-snap-scroll-pagination button.wdt-pagination-prev {
    margin-left: 15px;
    margin-right: 0;
}

@media only screen and (max-width: 1280px) and (min-width: 1025px) {
    .rtl .wdt-flex-banner-options.vertical-slider .wdt-flex-banner-option .wdt-flex-banner-title-group > .wdt-flex-banner-icon::after {
        margin-right: 0;
        margin-left: 0;
    }
}
@media only screen and (max-width: 1280px) {
    .rtl .wdt-cust-service-tabs-s .wdt-tabs-container .wdt-tabs-list li .ui-tabs-anchor::after {
        left: 20px;
        right: auto;
    }
}
@media only screen and (max-width: 1024px) {
    .rtl .wdt-flex-banner-options.vertical-slider .wdt-flex-banner-option > .wdt-flex-banner-detail-group > .wdt-flex-banner-button {
        margin-right: 0;
        margin-left: auto;
        padding-right: calc(clamp(1.25rem, 1.1058rem + 0.641vw, 1.875rem) + 20px);
        padding-left: 0;
    }
    .rtl .wdt-home2-slider-carousal .wdt-carousel-holder .wdt-carousel-pagination-wrapper {
        right: auto;
        left: 0;
    }
}
@media only screen and (max-width: 767px) {
    .rtl .wdt-flex-banner-options.vertical-slider .wdt-flex-banner-option .wdt-flex-banner-title-group > .wdt-flex-banner-icon {
        text-align: right;
    
    }
    .rtl .wdt-flex-banner-options.vertical-slider .wdt-flex-banner-option .wdt-flex-banner-title-group > .wdt-flex-banner-sub-title {
        text-align: right;
        
    }
}
@media only screen and (max-width: 479px) {
    .rtl .pricingplan-2 .wdt-advanced-toggle-right-section-title span:last-child {
        left: 0px;
        right: auto;
    }
    .rtl .pricingplan-2 .wdt-advanced-toggle-right-section-title span:last-child:before {
        right: 10px;
        left: auto;
        rotate: -90deg;
    }
}


/* -------------home-3---------- */

.rtl .wdt-cust-iconlist-2-s .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item {
    border-left: 1px var(--wdtBorderColor) solid;
    border-right: 0;
}
.rtl .wdt-cust-iconlist-2-s .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item:last-child {
    border-width: 0;
}
.rtl .wdt-cus-CAT-imgBox .wdt-image-box-holder .wdt-content-item .wdt-content-media-group {
    margin-left: 20px;
    margin-right: 0;
}
.rtl .wdt-custom-interactive-services .wdt-interactive-showcase-container .wdt-interactive-showcase-list-wrapper ul.wdt-interactive-showcase-list li .wdt-content-title::before {
    margin-left: 30px;
    margin-right: 0;
    float: right;
}
.rtl .wdt-custom-interactive-services .wdt-interactive-showcase-container .wdt-interactive-showcase-list-wrapper ul.wdt-interactive-showcase-list li .wdt-content-title::after {
    margin-right: 30px;
    margin-left: 0;
    transform: translateX(30px) scaleX(-1);  
    -webkit-transform: translateX(30px) scaleX(-1);
  
}
.rtl .wdt-custom-interactive-services .wdt-interactive-showcase-container .wdt-interactive-showcase-list-wrapper ul.wdt-interactive-showcase-list li.wdt-interactive-showcase-active .wdt-content-title::after {
     transform: translateX(0) scaleX(-1); 
     -webkit-transform: translateX(0) scaleX(-1);
    
}
.rtl .wdt-custom-interactive-services .wdt-interactive-showcase-container .wdt-interactive-showcase-content-wrapper div.wdt-content-image::before {  
    left: -15%;
    right: auto;  
    transform: rotate(15deg) translateX(60px) scaleX(-1);
    -webkit-transform: rotate(15deg) translateX(60px) scaleX(-1);
}
.rtl .wdt-custom-interactive-services .wdt-interactive-showcase-container .wdt-interactive-showcase-content-wrapper div.wdt-content-image img {
    transform: rotate(5deg);
    -webkit-transform: rotate(5deg);
}
.rtl .wdt-custom-interactive-services .wdt-interactive-showcase-container .wdt-interactive-showcase-content-wrapper .wdt-interactive-showcase-active div.wdt-content-image img {
    transform: rotate(0deg);
    -webkit-transform: rotate(0deg);

}
.rtl .wdt-interactive-showcase-container .wdt-interactive-showcase-content-wrapper div[id*="wdt-interactive-showcase-"] {
    transform-origin: 100% 50%;
}
.wdt-custom-interactive-services .wdt-interactive-showcase-container .wdt-interactive-showcase-content-wrapper .wdt-interactive-showcase-active div.wdt-content-image::before {
    transform: rotate(15deg) translateX(0px) scaleX(-1);
    -webkit-transform: rotate(15deg) translateX(0px) scaleX(-1);
}
.rtl .wdt-custom-interactive-services .wdt-interactive-showcase-container .wdt-interactive-showcase-content-wrapper div[id*="wdt-interactive-showcase-"] {
    transform: rotate(-15deg);
    -webkit-transform: rotate(-15deg);
      
}
.rtl .wdt-custom-interactive-services .wdt-interactive-showcase-container .wdt-interactive-showcase-content-wrapper div[id*="wdt-interactive-showcase-"].wdt-interactive-showcase-active { 
    transform: rotate(-15deg); 
    -webkit-transform: rotate(-15deg); 
}
.rtl .wdt-custom-interactive-services .wdt-interactive-showcase-container .wdt-interactive-showcase-content-wrapper div.wdt-content-image::after {
    left: -15%;
    right: auto;
}
.rtl .wdt-sc-emi-calc form > div:first-child {
    padding-left: 80px;
    padding-right: 0;
}
.rtl .wdt-sc-emi-calc .column {
    text-align: right;
}
.rtl .wdt-custom-blog.wdt-posts-list-wrapper.swiper div[class*="arrow-pagination"].type2 {
    left: 15px;
    right: auto;
}
.rtl .wdt-custom-blog.wdt-posts-list-wrapper.swiper div[class*="arrow-pagination"].type2 > a[class*="arrow"]::before {
    transform: scalex(-1);
  
}
.rtl .wdt-custom-blog.wdt-posts-list-wrapper.swiper div[class*="arrow-pagination"].type2 > a.wdt-products-arrow-next::before {
    transform: scaleX(1);
    -webkit-transform: scaleX(1);
}
.rtl .wdt-cus-spacer-s .elementor-widget-container {
    background-image: linear-gradient(-270deg, rgba(var(--wdtBodyBGColorRgb), 1) 0%, rgba(var(--wdtBodyBGColorRgb), 0) 100%);

}
.rtl .wdt-cus-spacer-2-s .elementor-widget-container {
    background-image: linear-gradient(-270deg, rgba(var(--wdtBodyBGColorRgb), 0) 0%, rgba(var(--wdtBodyBGColorRgb), 1) 100%);
}
@media only screen and (max-width: 1281px) {
    .rtl .wdt-cust-iconlist-2-s .elementor-icon-list-items.elementor-inline-items .elementor-icon-list-item {
        border: 0;
    }
}
@media only screen and (max-width: 1280px) {
    .rtl .wdt-sc-emi-calc .column:not(:first-child) > ul > li {
        margin-left: 30px;
        margin-right: 0;
        float: right;
    }
    .rtl .wdt-sc-emi-calc form > div:first-child {
        padding-left: 50px;
        padding-right: 0;
    }
}
@media only screen and (max-width: 1024px) {
    .rtl .wdt-sc-emi-calc form > div:first-child {
        padding-left: 40px;
        padding-right: 0;
    }
}
@media screen and (max-width: 767px) {
    .rtl .wdt-sc-emi-calc form > div:first-child {
        padding-left: 0px;
        padding-right: 0;
    }
}

/* ----------Home-4--------- */

.rtl .wdt-cus-slider-4-img img {
    background: linear-gradient(252deg, rgba(var(--wdtCustomColor1Rgb), 1) 20.03%, rgba(var(--wdtCustomColor2Rgb), 1) 58.07%, rgba(var(--wdtCustomColor2Rgb), 1) 58.08%, rgba(var(--wdtCustomColor3Rgb), 1) 95.81%);
}

.rtl .wdt-accordion-toggle-holder .wdt-accordion-toggle-title-holder .wdt-accordion-toggle-title div[class*="-title-prefix"] {
    margin: 0 0px 0 10px;

}
.rtl .wdt-cus-accordian-s .wdt-accordion-toggle-holder .wdt-accordion-toggle-title-holder.ui-state-active .wdt-accordion-toggle-title div[class*="-title-prefix"] {
    margin: 0 0px 0 10px;
}
.rtl .wdt-cus-accordian-s .wdt-accordion-toggle-holder[class*="-template-bordered"] .wdt-accordion-toggle-description {
    padding: 0 76px 30px 20px;
}
.rtl .wdt-cust-pop-btn .wdt-content-item .wdt-content-icon-wrapper .wdt-content-icon span {
    transform: scale(-1);
}  
.rtl .wdt-custom-career-listing .wdt-content-item .wdt-content-button > a::before {
    right: 0;
    left: auto;
}
.rtl .wdt-custom-career-listing .wdt-content-item .wdt-content-button > a::after {
    margin-right: 8px;
    margin-left: 0;
    transform: scaleX(-1);
  
}
.rtl .wdt-custom-career-listing .wdt-content-item .wdt-content-button > a:hover::after {
    transform: translateX(-8px) scaleX(-1);
    -webkit-transform: translateX(-8px) scaleX(-1);
}
.rtl .wdt-cust-phone-icon-s.elementor-widget.elementor-widget-icon-list .elementor-icon-list-icon > svg {
    transform: scalex(-1);
}
.rtl .wdt-cus-review-s .wdt-icon-box-holder .wdt-content-item .wdt-content-subtitle::after {
    margin-right: 10px;
    margin-left: 0;
}
.rtl .wdt-cus-iconlist-2-s.elementor-widget-icon-list .elementor-icon-list-item > .elementor-icon-list-text {
    text-align: right;
}
@media only screen and (max-width: 767px) {
    .rtl .wdt-custom-career-listing .wdt-content-item .wdt-content-button {
        text-align: right;
    }
}
/* --------About us---------- */

.rtl .wdt-cust-filler-counter-s .wdt-content-item .wdt-content-media-group {
    padding: 0px 15px;
    padding-left: 0;
}
.rtl .wdt-cust-filler-counter-s .wdt-content-item .wdt-content-title::before {
    right: -15px;
    left: auto;
}
/* -------register---------- */

.rtl #loginform .login-remember {
    text-align: right;
}
.rtl #loginform p.login-remember input[type="checkbox"] {
  margin-left: 8px;
  margin-right: 0;

}
.rtl #loginform p.login-remember input[type="checkbox"]::after {
    transform-origin: bottom right;
}

/* ---------Service----------- */

/* ------------------------- */

/* ------------Careers----------- */
.rtl .wdt-custom-career-sidebar-form1 input[type="text"],.rtl .wdt-custom-career-sidebar-form1 input[type="email"],
.rtl .wdt-custom-career-sidebar-form1 input[type="tel"],.rtl .wdt-custom-career-sidebar-form1 textarea {
    direction: rtl;
}
.rtl .wpcf7-form-control-wrap {
    direction: rtl;
}
.rtl .wdt-custom-career-sidebar-form1 .custom-file-upload .custom-file-select {
    right: 0;
    left: auto;
}
.rtl .wdt-custom-career-sidebar-form1 .custom-file-upload .custom-file-select,
.rtl .wdt-custom-career-sidebar-form1 .custom-file-upload .wpcf7-form-control-wrap input[type="file"]::file-selector-button {
  margin-left: 25px;
  margin-right: 0;
}
.rtl .wdt-custom-career-sidebar-form1 .custom-file-upload input[type="file"] {
    padding-left: 10px;
    padding-right: 0;
}
/* ------------blog------- */
.rtl .pagination ul li a.next i,.rtl .pagination ul li a.prev i {
    -webkit-transform: translate(-50%, -50%) scale(-1);
    transform: translate(-50%, -50%) scale(-1);
}
.rtl .blog-single-entry.post-minimal .post-meta > [class*="meta"] a {
    margin-left: 5px;
    margin-right: 0;
}
.rtl .blog-single-entry .entry-post-navigation > .post-next-link {
    text-align: left;
}
.rtl .entry-post-navigation.type1 .post-next-link div > p a {
    padding: 5px 0px 5px 55px;
}
.rtl .entry-post-navigation.type1 .post-next-link div > p a::before {
    left: 0;
    right: auto;
}
.rtl .blog-single-entry .entry-post-navigation > div.post-next-link > .nav-title-wrap p a::after {
    left: 10px;
    right: auto;
}
.rtl .blog-single-entry .entry-post-navigation > div.post-next-link > .nav-title-wrap p a::after,
.rtl .blog-single-entry .entry-post-navigation > div.post-prev-link > .nav-title-wrap p a::before {
    transform: translateY(-50%) scale(-1);
    -webkit-transform: translateY(-50%) scale(-1);
}
.rtl .blog-single-entry .entry-post-navigation > .post-prev-link {
    text-align: right;
}
.rtl .entry-post-navigation.type1 .post-prev-link div > p a {
    padding: 5px 55px 5px 0px;
}
.rtl .blog-single-entry .entry-post-navigation > div.post-prev-link > .nav-title-wrap p a::before {
    right: 10px;
    left: auto;
}
.rtl .entry-post-navigation.type1 .post-prev-link div > p a::after {
    right: 0;
    left: auto;
}
.rtl .wdt-custom-career-sidebar-form1 .wdt-custom-form-text {
    text-align: right;
}
/* -----------Comments------- */
.rtl .comment-body {    
    padding-right: 80px;
    padding-left: 0;
}
.rtl .commentlist li.comment .reply {    
    left: 0;
    right: auto;
}
.rtl .comment-author .avatar {    
    right: -80px;
    left: auto;
}
.rtl .comment-form > p {    
    float: right;
    text-align: right;
    
}
.rtl .comment-form .comment-form-cookies-consent label {
    padding-right: 30px;
    padding-left: 0;
}
.rtl .comment-form .comment-form-cookies-consent #wp-comment-cookies-consent {
    right: 0;
    left: auto;
}
.rtl .comment-form > p input[type="checkbox"] ~ label::before,.rtl .comment-form > p input[type="radio"] ~ label::before {
    right: 0;
    left: auto;
}
.rtl .comment-form > p input[type="checkbox"] ~ label::after,.rtl .comment-form > p input[type="radio"] ~ label::after {
    right: 3px;
    left: auto;
}
.rtl #respond h3#reply-title small a::after {
    right: -100%;
    left: auto;
  
}
.rtl #respond h3#reply-title small a:hover::after,.rtl  #respond h3#reply-title small a:hover::before {
    transform: translateX(-100%);
}
@media only screen and (min-width: 1025px) and (max-width: 1280px) {
    .rtl .comment-body {
        padding-right: 75px;
        padding-left: 0;
    }
}
@media only screen and (min-width: 768px) and (max-width: 1024px) {
    .rtl.comment-body {
        padding-right: 80px;
        padding-left: 0;
    }
}
@media only screen and (max-width: 767px) {
    .rtl .comment-body {
        padding-right: 60px;
        padding-left: 0;
    }
    .rtl .comment-author .avatar {
        right: -60px;
        left: auto;       
    }
}

.rtl .widget .recent-posts-widget li .entry-meta p {
    float: right;
    margin-left: 15px;
    margin-right: 0;
}
.rtl .widget.widget_media_gallery .gallery-item img {
  transform: scale(1.06) translateX(2%);
  -webkit-transform: scale(1.06) translateX(2%);
}
.rtl .widget.widget_media_gallery .gallery-item a:hover > img {
    transform: scale(1.06) translateX(-2%);
    -webkit-transform: scale(1.06) translateX(-2%);
}

/* ----------Contact-------- */

.rtl .wdt-cust-contact-box-s .wdt-content-item .wdt-content-elements-group {
    margin-right: 20px;
    margin-left: 0;
}
.rtl .wpcf7-form .wpcf7-response-output,.rtl .wpcf7 form .wpcf7-response-output {
    padding: 15px 45px 15px 15px;
    text-align: right;
}
.rtl .wpcf7-form .wpcf7-response-output::before,.rtl .wpcf7 form .wpcf7-response-output::before {
    right: 18px;
    left: auto;
}
